An enumeration class containing all the asset types supported by the AssetManager.

### Hierarchy

- AssetType

## Index

### Properties

- ASSET_MANAGER
- BITMAP_FONT
- BYTE_ARRAY
- OBJECT
- SOUND
- TEXTURE
- TEXTURE_ATLAS
- XML_DOCUMENT

### Methods

- fromAsset

## Properties

### Static ASSET_MANAGER

ASSET_MANAGER: string

- Defined in lib/starling/assets/AssetType.d.ts:23

### Static BITMAP_FONT

BITMAP_FONT: string

- Defined in lib/starling/assets/AssetType.d.ts:22

### Static BYTE_ARRAY

BYTE_ARRAY: string

- Defined in lib/starling/assets/AssetType.d.ts:21

### Static OBJECT

OBJECT: string

- Defined in lib/starling/assets/AssetType.d.ts:20

### Static SOUND

SOUND: string

- Defined in lib/starling/assets/AssetType.d.ts:18

### Static TEXTURE

TEXTURE: string

- Defined in lib/starling/assets/AssetType.d.ts:16

### Static TEXTURE_ATLAS

TEXTURE_ATLAS: string

- Defined in lib/starling/assets/AssetType.d.ts:17

### Static XML_DOCUMENT

XML_DOCUMENT: string

- Defined in lib/starling/assets/AssetType.d.ts:19

## Methods

### Static fromAsset

- fromAsset(asset: any): string

- - Defined in lib/starling/assets/AssetType.d.ts:26

  Figures out the asset type string from the type of the given instance.

  #### Parameters

  - ##### asset: any

  #### Returns string

Generated using TypeDoc